Subject: Re: bug#79291: bug when using frameset register + tab-bar

From: Juri Linkov <[email-masked]>
Date: Thu, 28 Aug 2025 09:09:29 +0300

close 79291 31.0.50
thanks

> But the problem is that its filters didn't use 'copy-tree'
> for tabs, so any changes in tabs within the current session
> also modified the data saved in the register too.
>
> I didn't find a suitable existing filter in 'frameset-filter-params'
> that uses 'copy-tree' on saving, so added a new filter ':copy-tree':

I pushed a better fix encapsulated to tab-bar.el only.